Package com.ocient.jdbc.proto

# Interface PlanProtocol.StatsColumnInfoOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.StatsColumnInfo`, `PlanProtocol.StatsColumnInfo.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.StatsColumnInfoOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getColType()` | `string col_type = 1;`
`com.google.protobuf.ByteString` | `getColTypeBytes()` | `string col_type = 1;`
`PlanProtocol.ColumnInfo` | `getColumnInfo()` | `.xg.db.sqlPlans.ColumnInfo column_info = 2;`
`PlanProtocol.ColumnInfoOrBuilder` | `getColumnInfoOrBuilder()` | `.xg.db.sqlPlans.ColumnInfo column_info = 2;`
`boolean` | `hasColumnInfo()` | `.xg.db.sqlPlans.ColumnInfo column_info = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getColType

String getColType()
`string col_type = 1;`

### getColTypeBytes

com.google.protobuf.ByteString getColTypeBytes()
`string col_type = 1;`

### hasColumnInfo

boolean hasColumnInfo()
`.xg.db.sqlPlans.ColumnInfo column_info = 2;`

### getColumnInfo

PlanProtocol.ColumnInfo getColumnInfo()
`.xg.db.sqlPlans.ColumnInfo column_info = 2;`

### getColumnInfoOrBuilder

PlanProtocol.ColumnInfoOrBuilder getColumnInfoOrBuilder()
`.xg.db.sqlPlans.ColumnInfo column_info = 2;`